#!/bin/sh
# Add support for the XO internal drives in fstab
	cat << EOF >> etc/fstab
/dev/mmcblk0p2		/.intSD	    ext4	defaults,noauto	  0 0
EOF

# link gtkdialog to gtkdialog
ln -sf /usr/bin/gtkdialog usr/bin/gtkdialog3

# Fix clock
cat << EOF > etc/hwclock.conf
HWCLOCKPARM='--utc -f /dev/rtc1'
EOF
sed -i "s/HWCLOCKPARM}'/HWCLOCKPARM} -f \/dev\/rtc1'/" usr/sbin/hwclockconf.sh
sed -i 's/localtime/utc/' etc/rc.d/init.d/60-ntpd-client
sed -i "s/ntpd -n/sleep 60; ntpd -n/" etc/rc.d/init.d/60-ntpd-client
rm -f etc/rc.d/init.d/03-lasttime

# adjust for the 200dpi XO screens
cat << EOF >> root/.gtkrc.mine

# -- Adjust font size for XO screen
style "font"
{
font_name = "DejaVu Sans 12"
}
widget_class "*" style "font"
gtk-font-name = "DejaVu Sans 12" 

EOF
sed -i 's/DejaVu Sans Bold 10/DejaVu Sans Bold 12/' \
	etc/xdg/rox.sourceforge.net/ROX-Filer/Options
sed -i 's/DejaVu Sans 10/DejaVu Sans 12/' \
	etc/xdg/rox.sourceforge.net/ROX-Filer/Options
sed -i 's/128/140/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/214/258/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/208/258/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/46/48/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/240/256/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/298/370/g' etc/xdg/rox.sourceforge.net/ROX-Filer/PuppyPin
sed -i 's/\<size\>10/\<size\>12/g' etc/xdg/openbox/rc.xml
sed -i 's/\<size\>8/\<size\>11/g' etc/xdg/openbox/rc.xml
sed -i 's/X\=64/X\=128/g' etc/eventmanager

# Set default cursor
mkdir -p $USER/.icons
ln -sf /usr/share/icons/whitelarge $USER/.icons/default

# Fix sound
rm -f etc/asound.conf

# Remove battery monitor from panel
tac usr/share/lxpanel/profile/default/panels/panel |\
	sed '/type \= batt/{N;s/\n.*//;}' | tac |  sed '/type \= batt/,+12d' > /tmp/newpanel
cp -a --remove-destination /tmp/newpanel usr/share/lxpanel/profile/default/panels/panel
rm -f /tmp/newpanel

# Start networks latter
sed -i 's/\/etc\/rc\.d\/rc\.network start \&//' etc/rc.d/rc.sysinit
sed -i 's/echo \$\! > \$RC_NETWORK_PID//' etc/rc.d/rc.sysinit
